"""Utils for scripts."""
import subprocess

LANG2TRANSFORMER = {
    "en": "bert-base-cased",
    "pl": "allegro/herbert-base-cased",
}


def execute_command(command, output_file=None):
    command = [c for c in command.split() if c.strip()]
    if output_file:
        with open(output_file, "w") as f:
            subprocess.run(command, check=True, stdout=f)
    else:
        subprocess.run(command, check=True)
